package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 单站监控-单体电池数据
 *
 */
public class BatteryDataStatsListVo {
    /** 单体电池设备id */
    private String deviceId;

    /** 电压 (V) */
    private BigDecimal voltage;

    /** 温度 (℃) */
    private BigDecimal temperature;

    /** SOC (%) */
    private BigDecimal soc;

    /** SOH (%) */
    private BigDecimal soh;

    /** 电压映射点位ID */
    private String voltagePointId;

    /** 温度映射点位ID */
    private String temperaturePointId;

    /** SOC映射点位ID */
    private String socPointId;

    /** SOH映射点位ID */
    private String sohPointId;
    
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dataTimestamp;

    /** 簇号 */
    private String clusterDeviceId;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public BigDecimal getVoltage() {
        return voltage;
    }

    public void setVoltage(BigDecimal voltage) {
        this.voltage = voltage;
    }

    public BigDecimal getTemperature() {
        return temperature;
    }

    public void setTemperature(BigDecimal temperature) {
        this.temperature = temperature;
    }

    public BigDecimal getSoc() {
        return soc;
    }

    public void setSoc(BigDecimal soc) {
        this.soc = soc;
    }

    public BigDecimal getSoh() {
        return soh;
    }

    public void setSoh(BigDecimal soh) {
        this.soh = soh;
    }

    public String getVoltagePointId() {
        return voltagePointId;
    }

    public void setVoltagePointId(String voltagePointId) {
        this.voltagePointId = voltagePointId;
    }

    public String getTemperaturePointId() {
        return temperaturePointId;
    }

    public void setTemperaturePointId(String temperaturePointId) {
        this.temperaturePointId = temperaturePointId;
    }

    public String getSocPointId() {
        return socPointId;
    }

    public void setSocPointId(String socPointId) {
        this.socPointId = socPointId;
    }

    public String getSohPointId() {
        return sohPointId;
    }

    public void setSohPointId(String sohPointId) {
        this.sohPointId = sohPointId;
    }

    public Date getDataTimestamp() {
        return dataTimestamp;
    }

    public void setDataTimestamp(Date dataTimestamp) {
        this.dataTimestamp = dataTimestamp;
    }

    public String getClusterDeviceId() {
        return clusterDeviceId;
    }

    public void setClusterDeviceId(String clusterDeviceId) {
        this.clusterDeviceId = clusterDeviceId;
    }
}
